Subject: Re: bug#21652: bell chars

From: Tom Baker <[email-masked]>
Date: Sun, 16 Aug 2020 13:10:40 -0400

On 8/16/20, Eli Zaretskii <[email-masked]> wrote:
>> From: Tom Baker <[email-masked]>
>> Date: Sun, 16 Aug 2020 11:55:01 -0400
>> Cc: Stefan Kangas <[email-masked]>, [email-masked]
>>
>> > would the shell beep?
>>
>> Yes, whether in bash or cmd.exe, I add an "echo the bell char so I'll know
>> I am done" command.

Yes, but know that I mean the instance bash that I invoked outside of
emacs, or the instance
of cmd.exe that I invoked in the Windows Run Command box. A separate
window, not in emacs. My command that does work runs to completion,
and then the computer puts out a beep sound.

>> In shell
>> mode (and not in all external shells), I can "enter my command" and hit
>> enter, and then slap my forehead and
>> mutter "gee, I forgot", and enter the "echo bell" command any time after
>> that -- the shell mode will execute
>> followup lines of commands afterwards seamlessly.

All that happens when this runs inside of emacs is that my command
that does work runs to completion, and then my "echo bell" command
runs and the screen now has a cute little up arrow
and a letter G (for the control-G that was output).

> I'm probably confused: if shell-mode does beep, then why do you need
> any changes?  Just be sure to have the "echo bell" at the end of your
> command, and it will beep, right?

No. The paragraph was confusing, I admit. shell-mode will output a
control-G to the screen, silently, and the user sees  ^G  .

>> (IN CASE OF FOLLOWUP DISCUSSION: I already said (in the post to which this
>> is a reply) that I can
>> withdraw the suggestion. I don't need it any more. [I forget exactly what
>> year, 2018, 2019, or 2020, I made
>> this suggestion, but I've moved on from it without an emacs change, which
>> I did form my own benefit,
>> anyway.] )
>
> Before we decide that you should withdraw your suggestion, I think
> it's worthwhile to figure out whether there's some Emacs bug here.  If

I do not know how this wound up on a "bug list" when this would be
simply an "enhancement".

There is no emacs bug.